/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"
#include "../display/texture.h"
#include "../display/primitive.h"
#include "../display/tileset.h"

#define VNCHARACTER_EMOTION_NEUTRAL 0x00

typedef struct {
  float x, y, z;
  float yaw, pitch, roll;

  uint8_t emotion;
  bool talking;

  float t;
  
  texture_t *textureEyes;
  texture_t *textureBody;
  texture_t *textureMouth;
  texture_t *textureFace;

  primitive_t primitive;
} vncharacter_t;