/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "vncharacter.h"

void vnCharacterInit(vncharacter_t *character,
  texture_t *textureEyes,
  texture_t *textureBody,
  texture_t *textureMouth,
  texture_t *textureFace
) {
  character->x = 0;
  character->y = 0;
  character->z = 0;

  character->yaw = 0;
  character->pitch = 0;
  character->roll = 0;

  // Setup Textures
  character->textureEyes = textureEyes;
  character->textureBody = textureBody;
  character->textureMouth = textureMouth;
  character->textureFace = textureFace;

  character->emotion = VNCHARACTER_EMOTION_NEUTRAL;
  character->talking = false;

  character->t = 0;
}

void vnCharacterRender(vncharacter_t *character, shader_t *shader) {

}